Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.content
Class PropertyIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PropertyID>
              com.bea.portal.tools.content.PropertyIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class PropertyIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PropertyID>

Builds and parses `PropertyID` instances.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`PropertyIDBuilder()` Constructor.

Method Summary
`PropertyID` | `createResourceID()` Create the `PropertyID`.
`NodeID` | `getNodeID()` Get the `NodeID` of the content node.
`String` | `getPropertyName()` Get the name of the property.
`PropertyIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`PropertyIDBuilder` | `setNodeID(NodeID nodeID)` Change the `NodeID` of the content node.
`PropertyIDBuilder` | `setPropertyName(String name)` Change the name of the property.
`PropertyIDBuilder` | `setRepository(NodeID nodeID)` Deprecated use use `setNodeID(NodeID)`

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyIDBuilder

    public PropertyIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public PropertyIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN.

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PropertyID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `TaggedResourceIDBuilder`

### getNodeID

    public NodeID getNodeID()

  Get the `NodeID` of the content node.

  Returns
    the `NodeID` of the content node

### setRepository

    public PropertyIDBuilder setRepository(NodeID nodeID)

  Deprecated use use `setNodeID(NodeID)`

  Change the `NodeID` of the content node.

  Parameters
    `nodeID` - `NodeID` of the content node
  Returns
    this `PropertyIDBuilder`

### setNodeID

    public PropertyIDBuilder setNodeID(NodeID nodeID)

  Change the `NodeID` of the content node.

  Parameters
    `nodeID` - `NodeID` of the content node
  Returns
    this `PropertyIDBuilder`

### getPropertyName

    public String getPropertyName()

  Get the name of the property.

  Returns
    the name of the property

### setPropertyName

    public PropertyIDBuilder setPropertyName(String name)

  Change the name of the property.

  Parameters
    `name` - the name of the property
  Returns
    this `PropertyIDBuilder`

### createResourceID

    public PropertyID createResourceID()

  Create the `PropertyID`.

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<PropertyID>`
  Returns
    the `PropertyID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.